Bug 225992 - [exp-run] Suffix KDE4 application ports with -kde4
Summary: [exp-run] Suffix KDE4 application ports with -kde4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D14413
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-17 21:05 UTC by Tobias C. Berner
Modified: 2018-02-23 11:46 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2018-02-17 21:05:43 UTC
Hi there

kde@ would like to ask for an exp-run of the renaming of the kde4-application ports to have a -kde4 suffix. This will allow us to easily import newer versions of said ports.

The patch is attached and can also be found here:
http://people.freebsd.org/~tcberner/patches/kde45.v1.diff

mfg Tobias
Comment 1 Tobias C. Berner freebsd_committer 2018-02-17 21:08:15 UTC
Sorry, the patch is too large to be attached. 

Here's a version with less context (but still too large for an attachement): 
http://people.freebsd.org/~tcberner/patches/kde45-small.v1.diff
Comment 2 Antoine Brodin freebsd_committer 2018-02-17 21:10:37 UTC
the patch doesn't apply
Comment 3 Tobias C. Berner freebsd_committer 2018-02-17 21:17:33 UTC
Sorry, the previous small was generated without --show-copies-as-adds. Here's a new one:
http://people.freebsd.org/~tcberner/patches/kde45-small.v2.diff
Comment 4 Tobias C. Berner freebsd_committer 2018-02-19 18:32:50 UTC
Hi there

Here's the patch updated against the current ports tree:
http://people.freebsd.org/~tcberner/patches/kde45-small.v3.diff


mfg Tobias
Comment 5 Antoine Brodin freebsd_committer 2018-02-20 06:44:58 UTC
There is an error in audio/Makefile (should be juke):

[00:00:18] Warning: Nonexistent origin listed in category Makefiles: audio/juk-kde4e (skipping)
Comment 6 Antoine Brodin freebsd_committer 2018-02-20 07:05:12 UTC
For multimedia/dragon ,  there was a PKGNAMESUFFIX= -player   that isn't removed.
Comment 7 Tobias C. Berner freebsd_committer 2018-02-20 07:18:01 UTC
Next version:
https://people.freebsd.org/~tcberner/patches/kde45-small.v4.diff
Comment 8 Antoine Brodin freebsd_committer 2018-02-22 10:11:09 UTC
Exp-run looks fine.

There are 3 MOVEDlint errors:

 9970: date going backwards from 2018-02-18 to 2018-02-17
10113: x11-themes/base-artwork-kde4 not found
10114: x11-themes/wallpapers-kde4 not found
Comment 9 commit-hook freebsd_committer 2018-02-22 19:04:12 UTC
A commit references this bug:

Author: tcberner
Date: Thu Feb 22 19:03:22 UTC 2018
New revision: 462619
URL: https://svnweb.freebsd.org/changeset/ports/462619

Log:
  Give the KDE SC4 applications ports a -kde4 suffix

  In order to make room for the up-to-date version of the KDE Desktop and its
  applications move the KDE Application ports based on Qt4.

  PR:		225992
  Exp-run by:	antoine
  Reviewed by:	rakuco, adridg
  Differential Revision:	https://reviews.freebsd.org/D14413

Changes:
  head/MOVED
  head/Mk/Uses/kde.mk
  head/accessibility/Makefile
  head/accessibility/jovie/
  head/accessibility/jovie-kde4/
  head/accessibility/jovie-kde4/Makefile
  head/accessibility/kaccessible/
  head/accessibility/kaccessible-kde4/
  head/accessibility/kaccessible-kde4/Makefile
  head/accessibility/kdeaccessibility-kde4/Makefile
  head/accessibility/kmag/
  head/accessibility/kmag-kde4/
  head/accessibility/kmag-kde4/Makefile
  head/accessibility/kmousetool/
  head/accessibility/kmousetool-kde4/
  head/accessibility/kmousetool-kde4/Makefile
  head/accessibility/kmouth/
  head/accessibility/kmouth-kde4/
  head/accessibility/kmouth-kde4/Makefile
  head/archivers/Makefile
  head/archivers/ark/
  head/archivers/ark-kde4/
  head/archivers/ark-kde4/Makefile
  head/astro/Makefile
  head/astro/kstars/
  head/astro/kstars-kde4/
  head/astro/kstars-kde4/Makefile
  head/astro/marble/
  head/astro/marble-kde4/
  head/astro/marble-kde4/Makefile
  head/audio/Makefile
  head/audio/juk/
  head/audio/juk-kde4/
  head/audio/juk-kde4/Makefile
  head/audio/kio-audiocd/
  head/audio/kio-audiocd-kde4/
  head/audio/kio-audiocd-kde4/Makefile
  head/audio/kmix/
  head/audio/kmix-kde4/
  head/audio/kmix-kde4/Makefile
  head/audio/kscd/
  head/audio/kscd-kde4/
  head/audio/kscd-kde4/Makefile
  head/audio/libkcddb/
  head/audio/libkcddb-kde4/
  head/audio/libkcddb-kde4/Makefile
  head/audio/libkcompactdisc/
  head/audio/libkcompactdisc-kde4/
  head/audio/libkcompactdisc-kde4/Makefile
  head/cad/astk-serveur/Makefile
  head/comms/Makefile
  head/comms/kremotecontrol/
  head/comms/kremotecontrol-kde4/
  head/comms/kremotecontrol-kde4/Makefile
  head/deskutils/Makefile
  head/deskutils/kcharselect/
  head/deskutils/kcharselect-kde4/
  head/deskutils/kcharselect-kde4/Makefile
  head/deskutils/kdeplasma-addons/
  head/deskutils/kdeplasma-addons-kde4/
  head/deskutils/kdeplasma-addons-kde4/Makefile
  head/deskutils/kruler/
  head/deskutils/kruler-kde4/
  head/deskutils/kruler-kde4/Makefile
  head/deskutils/silence/Makefile
  head/deskutils/superkaramba/
  head/deskutils/superkaramba-kde4/
  head/devel/Makefile
  head/devel/cervisia/
  head/devel/cervisia-kde4/
  head/devel/cervisia-kde4/Makefile
  head/devel/dolphin-plugins/
  head/devel/dolphin-plugins-kde4/
  head/devel/dolphin-plugins-kde4/Makefile
  head/devel/dragon/Makefile
  head/devel/kapptemplate/
  head/devel/kapptemplate-kde4/
  head/devel/kapptemplate-kde4/Makefile
  head/devel/kcachegrind/
  head/devel/kcachegrind-kde4/
  head/devel/kcachegrind-kde4/Makefile
  head/devel/kde-dev-scripts/
  head/devel/kde-dev-scripts-kde4/
  head/devel/kde-dev-scripts-kde4/Makefile
  head/devel/kde-dev-utils/
  head/devel/kde-dev-utils-kde4/
  head/devel/kde-dev-utils-kde4/Makefile
  head/devel/kdebindings-kde4/Makefile
  head/devel/kdesdk-kde4/Makefile
  head/devel/kdesvn-kde4/Makefile
  head/devel/kdevelop-kde4/Makefile
  head/devel/lokalize/
  head/devel/lokalize-kde4/
  head/devel/lokalize-kde4/Makefile
  head/devel/okteta/
  head/devel/okteta-kde4/
  head/devel/okteta-kde4/Makefile
  head/devel/p5-perlkde/
  head/devel/p5-perlkde-kde4/
  head/devel/p5-perlkde-kde4/Makefile
  head/devel/p5-perlqt/
  head/devel/p5-perlqt-kde4/
  head/devel/poxml/
  head/devel/poxml-kde4/
  head/devel/poxml-kde4/Makefile
  head/devel/py-krosspython/
  head/devel/py-krosspython-kde4/
  head/devel/py-pykde4/
  head/devel/py-pykde4-kde4/
  head/devel/py-pykdeuic4/
  head/devel/py-pykdeuic4-kde4/
  head/devel/py-pykdeuic4-kde4/Makefile
  head/devel/ruby-korundum/
  head/devel/ruby-korundum-kde4/
  head/devel/ruby-korundum-kde4/Makefile
  head/devel/ruby-krossruby/
  head/devel/ruby-krossruby-kde4/
  head/devel/ruby-krossruby-kde4/Makefile
  head/devel/ruby-qtruby/
  head/devel/ruby-qtruby-kde4/
  head/devel/smokegen/
  head/devel/smokegen-kde4/
  head/devel/smokekde/
  head/devel/smokekde-kde4/
  head/devel/smokekde-kde4/Makefile
  head/devel/smokeqt/
  head/devel/smokeqt-kde4/
  head/devel/umbrello/
  head/devel/umbrello-kde4/
  head/devel/umbrello-kde4/Makefile
  head/editors/Makefile
  head/editors/kate/
  head/editors/kate-kde4/
  head/editors/kate-kde4/Makefile
  head/editors/kate-plugin-pate/
  head/editors/kate-plugin-pate-kde4/
  head/editors/kate-plugin-pate-kde4/Makefile
  head/games/Makefile
  head/games/blinken/
  head/games/blinken-kde4/
  head/games/blinken-kde4/Makefile
  head/games/bomber/
  head/games/bomber-kde4/
  head/games/bomber-kde4/Makefile
  head/games/bovo/
  head/games/bovo-kde4/
  head/games/bovo-kde4/Makefile
  head/games/granatier/
  head/games/granatier-kde4/
  head/games/granatier-kde4/Makefile
  head/games/kajongg/
  head/games/kajongg-kde4/
  head/games/kajongg-kde4/Makefile
  head/games/kanagram/
  head/games/kanagram-kde4/
  head/games/kanagram-kde4/Makefile
  head/games/kapman/
  head/games/kapman-kde4/
  head/games/kapman-kde4/Makefile
  head/games/katomic/
  head/games/katomic-kde4/
  head/games/katomic-kde4/Makefile
  head/games/kblackbox/
  head/games/kblackbox-kde4/
  head/games/kblackbox-kde4/Makefile
  head/games/kblocks/
  head/games/kblocks-kde4/
  head/games/kblocks-kde4/Makefile
  head/games/kbounce/
  head/games/kbounce-kde4/
  head/games/kbounce-kde4/Makefile
  head/games/kbreakout/
  head/games/kbreakout-kde4/
  head/games/kbreakout-kde4/Makefile
  head/games/kdegames-kde4/Makefile
  head/games/kdiamond/
  head/games/kdiamond-kde4/
  head/games/kdiamond-kde4/Makefile
  head/games/kfourinline/
  head/games/kfourinline-kde4/
  head/games/kfourinline-kde4/Makefile
  head/games/kgoldrunner/
  head/games/kgoldrunner-kde4/
  head/games/kgoldrunner-kde4/Makefile
  head/games/khangman/
  head/games/khangman-kde4/
  head/games/khangman-kde4/Makefile
  head/games/kigo/
  head/games/kigo-kde4/
  head/games/kigo-kde4/Makefile
  head/games/killbots/
  head/games/killbots-kde4/
  head/games/killbots-kde4/Makefile
  head/games/kiriki/
  head/games/kiriki-kde4/
  head/games/kiriki-kde4/Makefile
  head/games/kjumpingcube/
  head/games/kjumpingcube-kde4/
  head/games/kjumpingcube-kde4/Makefile
  head/games/klickety/
  head/games/klickety-kde4/
  head/games/klickety-kde4/Makefile
  head/games/klines/
  head/games/klines-kde4/
  head/games/klines-kde4/Makefile
  head/games/kmahjongg/
  head/games/kmahjongg-kde4/
  head/games/kmahjongg-kde4/Makefile
  head/games/kmines/
  head/games/kmines-kde4/
  head/games/kmines-kde4/Makefile
  head/games/knavalbattle/
  head/games/knavalbattle-kde4/
  head/games/knavalbattle-kde4/Makefile
  head/games/knetwalk/
  head/games/knetwalk-kde4/
  head/games/knetwalk-kde4/Makefile
  head/games/kolf/
  head/games/kolf-kde4/
  head/games/kolf-kde4/Makefile
  head/games/kollision/
  head/games/kollision-kde4/
  head/games/kollision-kde4/Makefile
  head/games/konquest/
  head/games/konquest-kde4/
  head/games/konquest-kde4/Makefile
  head/games/kpat/
  head/games/kpat-kde4/
  head/games/kpat-kde4/Makefile
  head/games/kreversi/
  head/games/kreversi-kde4/
  head/games/kreversi-kde4/Makefile
  head/games/kshisen/
  head/games/kshisen-kde4/
  head/games/kshisen-kde4/Makefile
  head/games/ksirk/
  head/games/ksirk-kde4/
  head/games/ksirk-kde4/Makefile
  head/games/ksnakeduel/
  head/games/ksnakeduel-kde4/
  head/games/ksnakeduel-kde4/Makefile
  head/games/kspaceduel/
  head/games/kspaceduel-kde4/
  head/games/kspaceduel-kde4/Makefile
  head/games/ksquares/
  head/games/ksquares-kde4/
  head/games/ksquares-kde4/Makefile
  head/games/ksudoku/
  head/games/ksudoku-kde4/
  head/games/ksudoku-kde4/Makefile
  head/games/ktuberling/
  head/games/ktuberling-kde4/
  head/games/ktuberling-kde4/Makefile
  head/games/kubrick/
  head/games/kubrick-kde4/
  head/games/kubrick-kde4/Makefile
  head/games/libkdegames/
  head/games/libkdegames-kde4/
  head/games/libkdegames-kde4/Makefile
  head/games/libkmahjongg/
  head/games/libkmahjongg-kde4/
  head/games/libkmahjongg-kde4/Makefile
  head/games/lskat/
  head/games/lskat-kde4/
  head/games/lskat-kde4/Makefile
  head/games/pairs/
  head/games/pairs-kde4/
  head/games/pairs-kde4/Makefile
  head/games/palapeli/
  head/games/palapeli-kde4/
  head/games/palapeli-kde4/Makefile
  head/games/picmi/
  head/games/picmi-kde4/
  head/games/picmi-kde4/Makefile
  head/graphics/Makefile
  head/graphics/kcolorchooser/
  head/graphics/kcolorchooser-kde4/
  head/graphics/kcolorchooser-kde4/Makefile
  head/graphics/kdegraphics-kde4/Makefile
  head/graphics/kolourpaint/
  head/graphics/kolourpaint-kde4/
  head/graphics/kolourpaint-kde4/Makefile
  head/graphics/kqtquickcharts/
  head/graphics/kqtquickcharts-kde4/
  head/graphics/kqtquickcharts-kde4/Makefile
  head/graphics/ksaneplugin/
  head/graphics/ksaneplugin-kde4/
  head/graphics/ksaneplugin-kde4/Makefile
  head/graphics/ksnapshot/
  head/graphics/ksnapshot-kde4/
  head/graphics/ksnapshot-kde4/Makefile
  head/graphics/libksane/
  head/graphics/libksane-kde4/
  head/graphics/libksane-kde4/Makefile
  head/graphics/okular/
  head/graphics/okular-kde4/
  head/graphics/okular-kde4/Makefile
  head/graphics/skanlite/Makefile
  head/japanese/Makefile
  head/japanese/kiten/
  head/japanese/kiten-kde4/
  head/japanese/kiten-kde4/Makefile
  head/lang/Makefile
  head/lang/kturtle/
  head/lang/kturtle-kde4/
  head/lang/kturtle-kde4/Makefile
  head/math/Makefile
  head/math/analitza/
  head/math/analitza-kde4/
  head/math/analitza-kde4/Makefile
  head/math/cantor/
  head/math/cantor-kde4/
  head/math/cantor-kde4/Makefile
  head/math/kalgebra/
  head/math/kalgebra-kde4/
  head/math/kalgebra-kde4/Makefile
  head/math/kbruch/
  head/math/kbruch-kde4/
  head/math/kbruch-kde4/Makefile
  head/math/kcalc/
  head/math/kcalc-kde4/
  head/math/kcalc-kde4/Makefile
  head/math/kig/
  head/math/kig-kde4/
  head/math/kig-kde4/Makefile
  head/math/kmplot/
  head/math/kmplot-kde4/
  head/math/kmplot-kde4/Makefile
  head/math/rkward-kde4/Makefile
  head/math/rocs/
  head/math/rocs-kde4/
  head/math/rocs-kde4/Makefile
  head/misc/Makefile
  head/misc/artikulate/
  head/misc/artikulate-kde4/
  head/misc/artikulate-kde4/Makefile
  head/misc/kdeedu-kde4/Makefile
  head/misc/kdeutils-kde4/Makefile
  head/misc/kgeography/
  head/misc/kgeography-kde4/
  head/misc/kgeography-kde4/Makefile
  head/misc/klettres/
  head/misc/klettres-kde4/
  head/misc/klettres-kde4/Makefile
  head/misc/ktouch/
  head/misc/ktouch-kde4/
  head/misc/ktouch-kde4/Makefile
  head/misc/kwordquiz/
  head/misc/kwordquiz-kde4/
  head/misc/kwordquiz-kde4/Makefile
  head/misc/libkdeedu/
  head/misc/libkdeedu-kde4/
  head/misc/libkdeedu-kde4/Makefile
  head/misc/parley/
  head/misc/parley-kde4/
  head/misc/parley-kde4/Makefile
  head/multimedia/Makefile
  head/multimedia/dragon/
  head/multimedia/dragon-kde4/
  head/multimedia/dragon-kde4/Makefile
  head/multimedia/kdemultimedia-kde4/Makefile
  head/net/Makefile
  head/net/kdenetwork-kde4/Makefile
  head/net/kget/
  head/net/kget-kde4/
  head/net/kget-kde4/Makefile
  head/net/krdc/
  head/net/krdc-kde4/
  head/net/krdc-kde4/Makefile
  head/net/krfb/
  head/net/krfb-kde4/
  head/net/krfb-kde4/Makefile
  head/net/zeroconf-ioslave/
  head/net/zeroconf-ioslave-kde4/
  head/net/zeroconf-ioslave-kde4/Makefile
  head/print/Makefile
  head/print/kde4-print-manager/
  head/print/print-manager-kde4/
  head/print/print-manager-kde4/Makefile
  head/science/Makefile
  head/science/kalzium/
  head/science/kalzium-kde4/
  head/science/kalzium-kde4/Makefile
  head/science/step/
  head/science/step-kde4/
  head/science/step-kde4/Makefile
  head/security/Makefile
  head/security/kwalletmanager/
  head/security/kwalletmanager-kde4/
  head/security/kwalletmanager-kde4/Makefile
  head/sysutils/Makefile
  head/sysutils/baloo/
  head/sysutils/baloo-kde4/
  head/sysutils/baloo-kde4/Makefile
  head/sysutils/baloo-widgets/
  head/sysutils/baloo-widgets-kde4/
  head/sysutils/baloo-widgets-kde4/Makefile
  head/sysutils/kcron/
  head/sysutils/kcron-kde4/
  head/sysutils/kcron-kde4/Makefile
  head/sysutils/kdeadmin-kde4/Makefile
  head/sysutils/kdf/
  head/sysutils/kdf-kde4/
  head/sysutils/kdf-kde4/Makefile
  head/sysutils/kfilemetadata/
  head/sysutils/kfilemetadata-kde4/
  head/sysutils/kfilemetadata-kde4/Makefile
  head/sysutils/kfloppy/
  head/sysutils/kfloppy-kde4/
  head/sysutils/kfloppy-kde4/Makefile
  head/sysutils/ksysguardd/
  head/sysutils/ksysguardd-kde4/
  head/sysutils/ksysguardd-kde4/Makefile
  head/sysutils/ksystemlog/
  head/sysutils/ksystemlog-kde4/
  head/sysutils/ksystemlog-kde4/Makefile
  head/sysutils/kuser/
  head/sysutils/kuser-kde4/
  head/sysutils/kuser-kde4/Makefile
  head/sysutils/nepomuk-core/
  head/sysutils/nepomuk-core-kde4/
  head/sysutils/nepomuk-core-kde4/Makefile
  head/sysutils/nepomuk-widgets/
  head/sysutils/nepomuk-widgets-kde4/
  head/sysutils/nepomuk-widgets-kde4/Makefile
  head/sysutils/sweeper/
  head/sysutils/sweeper-kde4/
  head/sysutils/sweeper-kde4/Makefile
  head/textproc/Makefile
  head/textproc/kompare/
  head/textproc/kompare-kde4/
  head/textproc/kompare-kde4/Makefile
  head/textproc/libkomparediff2/
  head/textproc/libkomparediff2-kde4/
  head/textproc/libkomparediff2-kde4/Makefile
  head/x11/Makefile
  head/x11/kde-baseapps-kde4/
  head/x11/kde-baseapps-kde4/Makefile
  head/x11/kde-runtime-kde4/
  head/x11/kde-runtime-kde4/Makefile
  head/x11/kde-workspace-kde4/
  head/x11/kde-workspace-kde4/Makefile
  head/x11/kde4/Makefile
  head/x11/kde4-baseapps/
  head/x11/kde4-runtime/
  head/x11/kde4-workspace/
  head/x11/kgamma/
  head/x11/kgamma-kde4/
  head/x11/kgamma-kde4/Makefile
  head/x11/konsole/
  head/x11/konsole-kde4/
  head/x11/konsole-kde4/Makefile
  head/x11/libkonq/
  head/x11/libkonq-kde4/
  head/x11/libkonq-kde4/Makefile
  head/x11/plasma-scriptengine-python/
  head/x11/plasma-scriptengine-python-kde4/
  head/x11/plasma-scriptengine-python-kde4/Makefile
  head/x11/plasma-scriptengine-ruby/
  head/x11/plasma-scriptengine-ruby-kde4/
  head/x11/plasma-scriptengine-ruby-kde4/Makefile
  head/x11/yakuake-kde4/Makefile
  head/x11-clocks/Makefile
  head/x11-clocks/amor/
  head/x11-clocks/amor-kde4/
  head/x11-clocks/amor-kde4/Makefile
  head/x11-clocks/kdetoys-kde4/Makefile
  head/x11-clocks/kteatime/
  head/x11-clocks/kteatime-kde4/
  head/x11-clocks/kteatime-kde4/Makefile
  head/x11-clocks/ktimer/
  head/x11-clocks/ktimer-kde4/
  head/x11-clocks/ktimer-kde4/Makefile
  head/x11-clocks/ktux/
  head/x11-clocks/ktux-kde4/
  head/x11-clocks/ktux-kde4/Makefile
  head/x11-themes/Makefile
  head/x11-themes/kde-base-artwork-kde4/
  head/x11-themes/kde-base-artwork-kde4/Makefile
  head/x11-themes/kde-wallpapers-kde4/
  head/x11-themes/kde-wallpapers-kde4/Makefile
  head/x11-themes/kde4-base-artwork/
  head/x11-themes/kde4-wallpapers/
  head/x11-themes/kde4-wallpapers-freebsd/
  head/x11-themes/wallpapers-freebsd-kde4/
  head/x11-themes/wallpapers-freebsd-kde4/Makefile
Comment 10 Tobias C. Berner freebsd_committer 2018-02-22 19:06:25 UTC
Committed.

Thanks for the exp-run.
Comment 11 CraigW 2018-02-23 06:47:27 UTC
View This comment in a wide window.


After your big change I got this fatal error in poudriere.

[00:00:43] Warning: (x11/kde-workspace-kde4): Error: x11/kde-workspace-kde4 depends on nonexistent origin 'x11/plasma-scriptengine-python' (moved to x11/plasma-[00:00:43] Warning:scriptengine-python-kde4); Please contact maintainer of the port to fix this.


So I changed x11/kde-workspace-kde4/Makefile to this to make poudriere happy.  

--- /usr/ports/x11/kde-workspace-kde4/Makefile    2018-02-23 00:38:05.254473000 -0600
+++ /tmp/1      2018-02-23 00:37:02.935113000 -0600
@@ -96,7 +96,7 @@
 KACTIVITY_RUN_DEPENDS= ${KDE_PREFIX}/bin/kactivitymanagerd:x11/kactivitymanagerd
 
 PYTHON_DESC=           Python plasmoids support
-PYTHON_RUN_DEPENDS=    ${KDE_PREFIX}/share/apps/plasma_scriptengine_python/plasma_importer.py:x11/plasma-scriptengine-python
+PYTHON_RUN_DEPENDS=    ${KDE_PREFIX}/share/apps/plasma_scriptengine_python/plasma_importer.py:x11/plasma-scriptengine-python-kde4
 
 RUBY_DESC=             Ruby plasmoids support
 RUBY_RUN_DEPENDS=      ${KDE_PREFIX}/share/apps/plasma_scriptengine_ruby/applet.rb:x11/plasma-scriptengine-ruby
Comment 12 CraigW 2018-02-23 07:12:58 UTC
(In reply to CraigW from comment #11)

Also looks like ruby needs the same treatment line 102.
Comment 13 commit-hook freebsd_committer 2018-02-23 11:45:18 UTC
A commit references this bug:

Author: tcberner
Date: Fri Feb 23 11:44:17 UTC 2018
New revision: 462686
URL: https://svnweb.freebsd.org/changeset/ports/462686

Log:
  Fix dependencies of the RUBY and PYTHON option

  PR:		225992
  Reported by:	CraigW <ctyz1999+bugzilla@gmail.com>

Changes:
  head/x11/kde-workspace-kde4/Makefile
Comment 14 Tobias C. Berner freebsd_committer 2018-02-23 11:46:15 UTC
Sorry, I overlooked that one.
Thanks.